/*

   Dummy file for linux testing port of libbiwak

*/

#include <biwak/usb.hpp>
#include <biwak/usb_device.h>

CUsbDevice::CUsbDevice(CUsb &_usb)
   :usb(_usb)
{
   
}


USBD_StatusTypeDef CUsbDevice::registerClass(CUsbClass *_pClass)
{
   return( USBD_FAIL );
}

USBD_StatusTypeDef CUsbDevice::dataOutStage(uint8_t epnum, uint8_t *pdata, int len){ return( USBD_FAIL ); };
USBD_StatusTypeDef CUsbDevice::dataInStage(uint8_t epnum, uint8_t *pdata, int len){ return( USBD_FAIL ); };
USBD_StatusTypeDef CUsbDevice::setupStage(uint8_t *pdata){ return( USBD_FAIL ); };
USBD_StatusTypeDef CUsbDevice::SOF(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::reset(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::suspend(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::resume(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::ISOOUTIncomplete(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::ISOINIncomplete(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::connect(){ return(USBD_FAIL); };
USBD_StatusTypeDef CUsbDevice::disconnect(){ return(USBD_FAIL); };
